{% extends 'base/base.html' %}

{% block content %}

<table class="table table-bordered">
	<thead>
		<tr>
			{% if request.user.is_staff %}
			<td>Id</td>
			<td>Nombre</td>
			<td>Raza predominante</td>
			<td>Descripcion</td>
			<td>Estado</td>
			<td>Acciones</td>
			{% else %}
			<td>Id</td>
			<td>Estado</td>
			<td>Nombre</td>
			<td>Foto</td>
			<td>Raza predominante</td>
			<td>Descripcion</td>
			{% endif %}
		</tr>
		
	</thead>
	<tbody>
		{% if object_list %}
		{% for mascota in object_list %}
		<tr>
			{% if request.user.is_staff %}
			<td>{{ mascota.id }}</td>
			<td>{{ mascota.nombre }}</td>
			<td>{{ mascota.razaPredominante }}</td>
			<td>{{ mascota.descripcion }}</td>
			<td>{{ mascota.estado}}</td>
			{% else %}
			<td>{{ mascota.id }}</td>
			<td>{{ mascota.estado }}</td>
			<td>{{ mascota.nombre }}</td>
			<td><img src="{{ mascota.foto.url }}" height="168px" width="299px" alt=""></td>
			<td>{{ mascota.razaPredominante }}</td>
			<td>{{ mascota.descripcion }}</td>
			{% endif %}
			<td>
				{% if request.user.is_staff %}
				<a class="btn btn-primary" href="{% url 'mascotas:mascota_mostrar' mascota.id %}">Ver</a>
				<a class="btn btn-primary" href="{% url 'mascotas:mascota_editar' mascota.id %}">Editar</a>
				<a class="btn btn-danger" href="{% url 'mascotas:mascota_eliminar' mascota.id %}">Eliminar</a>
				{% endif %}
			</td>
		</tr>
		{% endfor %}
		
		{% else %}
		<h1>No hay registros de Mascotas</h1>
		{% endif %}
	</tbody>
</table>
<ul class="pager">
	<li>
		{% if page_obj.has_previous %}
       	 <a href="?page={{ page_obj.previous_page_number }}">Previous</a>
		{% endif %}
        </li>
	<li>
		{% if page_obj.has_next %}
     	 <a href="?page={{ page_obj.next_page_number }}">Next</a> 
    	{% endif %}
    </li>
</ul> 
{% endblock%}